Erros no log do home assistant

Boas malta, temho estes erros no log do HA. Será que alguem me consegue ajudar.
entretando também fiquei sem o hacs e o telegram. Foi feita hoje a troca de router do operador…

2020-03-20 18:19:03 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for zigbee2mqtt_networkmap which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2020-03-20 18:19:03 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for breaking_changes which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2020-03-20 18:19:20 ERROR (MainThread) [homeassistant.components.updater] Could not contact Home Assistant Update to check for updates
2020-03-20 18:19:20 ERROR (MainThread) [homeassistant.components.updater] Error fetching Home Assistant update data: 
2020-03-20 18:19:20 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 830, in _resolve_host
    self._resolver.resolve(host, port, family=self._family)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/resolver.py", line 30, in resolve
    host, port, type=socket.SOCK_STREAM, family=family)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 788, in getaddrinfo
    None, getaddr_func, host, port, family, type, proto, flags)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/socket.py", line 752, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again
2020-03-20 18:19:25 ERROR (MainThread) [root] Cannot connect to host api.ipma.pt:80 ssl:None [Try again]
2020-03-20 18:19:25 ERROR (MainThread) [homeassistant.config_entries] Error setting up entry Bruno Melo for spotify
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 967, in _create_direct_connection
    traces=traces), loop=self._loop)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 830, in _resolve_host
    self._resolver.resolve(host, port, family=self._family)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/resolver.py", line 30, in resolve
    host, port, type=socket.SOCK_STREAM, family=family)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 788, in getaddrinfo
    None, getaddr_func, host, port, family, type, proto, flags)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/socket.py", line 752, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 215, in async_setup
    hass, self
  File "/usr/src/homeassistant/homeassistant/components/spotify/__init__.py", line 64, in async_setup_entry
    implementation = await async_get_config_entry_implementation(hass, entry)
  File "/usr/src/homeassistant/homeassistant/helpers/config_entry_oauth2_flow.py", line 326, in async_get_config_entry_implementation
    implementations = await async_get_implementations(hass, config_entry.domain)
  File "/usr/src/homeassistant/homeassistant/helpers/config_entry_oauth2_flow.py", line 315, in async_get_implementations
    implementation = await get_impl(hass, domain)
  File "/usr/src/homeassistant/homeassistant/components/cloud/account_link.py", line 29, in async_provide_implementation
    services = await _get_services(hass)
  File "/usr/src/homeassistant/homeassistant/components/cloud/account_link.py", line 76, in _get_services
    services = await account_link.async_fetch_available_services(hass.data[DOMAIN])
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/account_link.py", line 120, in async_fetch_available_services
    resp = await cloud.client.websession.post(f"{cloud.account_link_url}/services")
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 971, in _create_direct_connection
    raise ClientConnectorError(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host account-link.nabucasa.com:443 ssl:None [Try again]
2020-03-20 18:19:25 ERROR (MainThread) [homeassistant.components.weather] Error while setting up ipma platform for weather
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 179, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 442, in wait_for
    return fut.result()
  File "/usr/src/homeassistant/homeassistant/components/ipma/weather.py", line 94, in async_setup_entry
    location = await async_get_location(hass, api, latitude, longitude)
  File "/usr/src/homeassistant/homeassistant/components/ipma/weather.py", line 108, in async_get_location
    location = await Location.get(api, float(latitude), float(longitude))
  File "/usr/local/lib/python3.7/site-packages/pyipma/location.py", line 89, in get
    locations = [ForecastLocation(r) for r in raw_locations]
TypeError: 'NoneType' object is not iterable
2020-03-20 18:19:26 ERROR (SyncWorker_9) [homeassistant.components.octoprint] Endpoint: printer Failed to update OctoPrint status. Error: 409 Client Error: CONFLICT for url: http://192.168.1.82:80/api/printer
2020-03-20 18:19:36 ERROR (Thread-5) [pychromecast.socket_client] [192.168.1.180:8009] Failed to connect, retrying in 5.0s
2020-03-20 18:19:57 ERROR (SyncWorker_16) [homeassistant.components.broadlink.switch] Failed to connect to device
2020-03-20 18:20:03 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 205, in prepare_key
    key = load_pem_private_key(key, password=None, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 16, in load_pem_private_key
    return backend.load_pem_private_key(data, password)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1089, in load_pem_private_key
    password,
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1315, in _load_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/report_state.py", line 49, in async_entity_state_listener
    {"devices": {"states": {changed_entity: entity_data}}}
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/helpers.py", line 124, in async_report_state_all
    await gather(*jobs)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 224, in async_report_state
    await self.async_call_homegraph_api(REPORT_STATE_BASE_URL, data)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 199, in async_call_homegraph_api
    await self._async_update_token()
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 157, in _async_update_token
    self._config[CONF_SERVICE_ACCOUNT][CONF_PRIVATE_KEY],
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 51, in _get_homegraph_jwt
    return jwt.encode(jwt_raw, key, algorithm="RS256").decode("utf-8")
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jwt.py", line 65, in encode
    json_payload, key, algorithm, headers, json_encoder
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jws.py", line 113, in encode
    key = alg_obj.prepare_key(key)
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 207, in prepare_key
    key = load_pem_public_key(key, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 20, in load_pem_public_key
    return backend.load_pem_public_key(data)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1115, in load_pem_public_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.
2020-03-20 18:20:03 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 205, in prepare_key
    key = load_pem_private_key(key, password=None, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 16, in load_pem_private_key
    return backend.load_pem_private_key(data, password)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1089, in load_pem_private_key
    password,
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1315, in _load_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/report_state.py", line 49, in async_entity_state_listener
    {"devices": {"states": {changed_entity: entity_data}}}
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/helpers.py", line 124, in async_report_state_all
    await gather(*jobs)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 224, in async_report_state
    await self.async_call_homegraph_api(REPORT_STATE_BASE_URL, data)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 199, in async_call_homegraph_api
    await self._async_update_token()
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 157, in _async_update_token
    self._config[CONF_SERVICE_ACCOUNT][CONF_PRIVATE_KEY],
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 51, in _get_homegraph_jwt
    return jwt.encode(jwt_raw, key, algorithm="RS256").decode("utf-8")
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jwt.py", line 65, in encode
    json_payload, key, algorithm, headers, json_encoder
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jws.py", line 113, in encode
    key = alg_obj.prepare_key(key)
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 207, in prepare_key
    key = load_pem_public_key(key, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 20, in load_pem_public_key
    return backend.load_pem_public_key(data)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1115, in load_pem_public_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.
2020-03-20 18:20:03 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 205, in prepare_key
    key = load_pem_private_key(key, password=None, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 16, in load_pem_private_key
    return backend.load_pem_private_key(data, password)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1089, in load_pem_private_key
    password,
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1315, in _load_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/report_state.py", line 49, in async_entity_state_listener
    {"devices": {"states": {changed_entity: entity_data}}}
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/helpers.py", line 124, in async_report_state_all
    await gather(*jobs)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 224, in async_report_state
    await self.async_call_homegraph_api(REPORT_STATE_BASE_URL, data)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 199, in async_call_homegraph_api
    await self._async_update_token()
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 157, in _async_update_token
    self._config[CONF_SERVICE_ACCOUNT][CONF_PRIVATE_KEY],
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 51, in _get_homegraph_jwt
    return jwt.encode(jwt_raw, key, algorithm="RS256").decode("utf-8")
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jwt.py", line 65, in encode
    json_payload, key, algorithm, headers, json_encoder
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jws.py", line 113, in encode
    key = alg_obj.prepare_key(key)
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 207, in prepare_key
    key = load_pem_public_key(key, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 20, in load_pem_public_key
    return backend.load_pem_public_key(data)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1115, in load_pem_public_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.
2020-03-20 18:20:03 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 205, in prepare_key
    key = load_pem_private_key(key, password=None, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 16, in load_pem_private_key
    return backend.load_pem_private_key(data, password)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1089, in load_pem_private_key
    password,
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1315, in _load_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/report_state.py", line 49, in async_entity_state_listener
    {"devices": {"states": {changed_entity: entity_data}}}
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/helpers.py", line 124, in async_report_state_all
    await gather(*jobs)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 224, in async_report_state
    await self.async_call_homegraph_api(REPORT_STATE_BASE_URL, data)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 199, in async_call_homegraph_api
    await self._async_update_token()
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 157, in _async_update_token
    self._config[CONF_SERVICE_ACCOUNT][CONF_PRIVATE_KEY],
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 51, in _get_homegraph_jwt
    return jwt.encode(jwt_raw, key, algorithm="RS256").decode("utf-8")
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jwt.py", line 65, in encode
    json_payload, key, algorithm, headers, json_encoder
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jws.py", line 113, in encode
    key = alg_obj.prepare_key(key)
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 207, in prepare_key
    key = load_pem_public_key(key, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 20, in load_pem_public_key
    return backend.load_pem_public_key(data)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1115, in load_pem_public_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.
2020-03-20 18:20:03 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 205, in prepare_key
    key = load_pem_private_key(key, password=None, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 16, in load_pem_private_key
    return backend.load_pem_private_key(data, password)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1089, in load_pem_private_key
    password,
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1315, in _load_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/report_state.py", line 49, in async_entity_state_listener
    {"devices": {"states": {changed_entity: entity_data}}}
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/helpers.py", line 124, in async_report_state_all
    await gather(*jobs)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 224, in async_report_state
    await self.async_call_homegraph_api(REPORT_STATE_BASE_URL, data)
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 199, in async_call_homegraph_api
    await self._async_update_token()
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 157, in _async_update_token
    self._config[CONF_SERVICE_ACCOUNT][CONF_PRIVATE_KEY],
  File "/usr/src/homeassistant/homeassistant/components/google_assistant/http.py", line 51, in _get_homegraph_jwt
    return jwt.encode(jwt_raw, key, algorithm="RS256").decode("utf-8")
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jwt.py", line 65, in encode
    json_payload, key, algorithm, headers, json_encoder
  File "/usr/local/lib/python3.7/site-packages/jwt/api_jws.py", line 113, in encode
    key = alg_obj.prepare_key(key)
  File "/usr/local/lib/python3.7/site-packages/jwt/algorithms.py", line 207, in prepare_key
    key = load_pem_public_key(key, backend=default_backend())
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/primitives/serialization/base.py", line 20, in load_pem_public_key
    return backend.load_pem_public_key(data)
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1115, in load_pem_public_key
    self._handle_key_loading_error()
  File "/usr/local/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 1373, in _handle_key_loading_error
    raise ValueError("Could not deserialize key data.")
ValueError: Could not deserialize key data.

Começa por desactivar o spotify e o ipma e o hacs e reinicia lá máquina.

1 Like

A gama de ip é a mesma?
Parece-me um problema com o google assistant

Sim são os mesmos. o que eu acho estranho é as horas não baterem certo?
Acho que por algum motivo o secrets nao está a funcionar. :thinking:


Copyright © 2017-2020. Todos os direitos reservados
CPHA.pt - info@cpha.pt


FAQ | Termos de Serviço/Regras | Política de Privacidade